/* -*- js-indent-level: 4 -*- */
/*
 * Copyright the Collabora Online contributors.
 *
 * SPDX-License-Identifier: MPL-2.0
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

function previewField(coolUrl) {
    let iframe = document.querySelector("#cool-editor__dialog > .cool-frame__preview");
    iframe.src = coolUrl;
    document.querySelector("#cool-editor__dialog").show();
}

function closePreview() {
    let iframe = document.querySelector("#cool-editor__dialog > .cool-frame__preview");
    iframe.src = "about:blank";
    document.querySelector('#cool-editor__dialog').close();
}

(function () {
    function receiveMessage(event) {
        let msg = JSON.parse(event.data);
        if (!msg) {
            return;
        }

        if (msg.MessageId === "UI_Close") {
            closePreview();
        }
    }

    window.addEventListener("message", receiveMessage, false);
})()
